/* 
 * 1.0 version.
 */

import java.awt.*;
import java.applet.Applet;

public class ChoiceDemo extends Applet {
    Choice choice; //pop-up list of choices
    Label label;

    public void init() {

        choice = new Choice();
        choice.addItem("ichi");
        choice.addItem("ni");
        choice.addItem("san");
        choice.addItem("yon");
        label = new Label();
        setLabelText(choice.getSelectedIndex(), choice.getSelectedItem());

        //Add components to the Applet. 
        add(choice);
        add(label);

        validate();
    }

    void setLabelText(int num, String text) {
        label.setText("Item #" + num + " selected. "
                    + "Text = \"" + text + "\".");
    }
        
    public boolean action(Event e, Object arg) {
        if (e.target instanceof Choice) {
            setLabelText(choice.getSelectedIndex(), (String)arg);
            return true;
        }
        return false;
    }
}
